<?php
/**
 * @link http://codex.wordpress.org/Theme_Customization_API
**/

class AmadeoCustomize{

	public static function amadeoCustomizeRegister($wp_customize){

		$wp_customize->add_section('amadeo_options',
			array(
				'title'			=> esc_html__('Amadeo Theme Options', 'amadeo-free'),
				'priority'		=> 35,
				'capability'	=> 'edit_theme_options',
			)
		);
		
		$wp_customize->add_setting('custom_style_active',
			array(
				'default'				=> 0,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_custom_style_active',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Enable custom colors', 'amadeo-free'),
				'section'	=> 'colors',
				'settings'	=> 'custom_style_active'
			)
		);

		$wp_customize->add_setting('color_1',
			array(
				'default'				=> '#6379a8',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'sanitize_hex_color',
			) 
		);

		$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'amadeo_color_1',
			array(
				'label'		=> esc_html__('Primary color', 'amadeo-free'),
				'section'	=> 'colors',
				'settings'	=> 'color_1',
				'priority'	=> 10,
			) 
		));
		
		$wp_customize->add_setting('color_2',
			array(
				'default'				=> '#5b5b5b',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'sanitize_hex_color',
			) 
		);

		$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'amadeo_color_2',
			array(
				'label'		=> esc_html__('Secondary color', 'amadeo-free'),
				'section'	=> 'colors',
				'settings'	=> 'color_2',
			) 
		));

		$wp_customize->add_setting('color_3',
			array(
				'default'				=> '#fff',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'sanitize_hex_color',
			) 
		);

		$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'amadeo_color_3',
			array(
				'label'		=> esc_html__('Primary font color', 'amadeo-free'),
				'section'	=> 'colors',
				'settings'	=> 'color_3',
			) 
		));

		$wp_customize->add_setting('color_4',
			array(
				'default'				=> '#fff',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'sanitize_hex_color',
			) 
		);

		$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'amadeo_color_4',
			array(
				'label'		=> esc_html__('Secondary font color', 'amadeo-free'),
				'section'	=> 'colors',
				'settings'	=> 'color_4',
			) 
		));

		$wp_customize->add_setting('custom_colors_slider_icons',
			array(
				'default'				=> 'white',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeSelectColor',
			) 
		);

		$wp_customize->add_control('amadeo_custom_colors_slider_icons',
			array(
				'label'		=> esc_html__('Color of icons on slider\'s navigation', 'amadeo-free'),
				'section'	=> 'colors',
				'settings'	=> 'custom_colors_slider_icons',
				'type'		=> 'select',
				'choices'	=> array(
					'white'	=> 'White',
					'black'	=> 'Black',
					'yellow'	=> 'Yellow',
				)
			)
		);
		
		$wp_customize->add_setting('custom_colors_under_slider_icons',
			array(
				'default'				=> 'white',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeSelectColor',
			) 
		);

		$wp_customize->add_control('amadeo_custom_colors_under_slider_icons',
			array(
				'label'		=> esc_html__('Color of icons under slide', 'amadeo-free'),
				'section'	=> 'colors',
				'settings'	=> 'custom_colors_under_slider_icons',
				'type'		=> 'select',
				'choices'	=> array(
					'white'	=> 'White',
					'black'	=> 'Black',
					'yellow'	=> 'Yellow',
				)
			)
		);

		$wp_customize->add_setting('custom_colors_content_icons',
			array(
				'default'				=> 'white',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeSelectColor',
			) 
		);

		$wp_customize->add_control('amadeo_custom_colors_content_icons',
			array(
				'label'		=> esc_html__('Colors of icons in pages content', 'amadeo-free'),
				'section'	=> 'colors',
				'settings'	=> 'custom_colors_content_icons',
				'type'		=> 'select',
				'choices'	=> array(
					'white'	=> 'White',
					'black'	=> 'Black',
					'yellow'	=> 'Yellow',
				)
			)
		);
		
		$wp_customize->add_setting('display',
			array(
				'sanitize_callback' =>'sanitize_text_field'
			)
		);

		$wp_customize->add_control(new AmadeoCustomizeTextareaControl($wp_customize, 'display',
				array(
					'label'		=> esc_html__('Display', 'amadeo-free'),
					'section'	=> 'amadeo_options',
					'settings'	=> 'display',
				)
			)
		);
		
		$wp_customize->add_setting('amadeo_center_logo_sitename',
			array(
				'default'				=> 0,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_center_logo_sitename_control',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Logo/Sitename and Menu centered', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'amadeo_center_logo_sitename'
			)
		);
		
		$wp_customize->add_setting('fullwidth_layout',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_fullwidth_layout',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Fullwidth page', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'fullwidth_layout'
			)
		);
		
		$wp_customize->add_setting('display_search',
			array(
				'default'				=> true,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_display_search',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show search form on top', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'display_search'
			)
		);
		
		$wp_customize->add_setting('show_megamenu',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_megamenu',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show megamenu', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'show_megamenu'
			)
		);

		$wp_customize->add_setting('show_slider',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_show_slider',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show slider', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'show_slider'
			)
		);
		
		$wp_customize->add_setting('social_under_slider',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_under_slider_widget',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show social media under slider', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'social_under_slider'
			)
		);

		$wp_customize->add_setting('right_sidebar_frontpage',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_right_sidebar_frontpage',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show right sidebar on front page', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'right_sidebar_frontpage'
			)
		);

		$wp_customize->add_setting('right_sidebar_single',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_right_sidebar_single',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show right sidebar on post/page', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'right_sidebar_single'
			)
		);
		
		$wp_customize->add_setting('right_sidebar_single',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_right_sidebar_single',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show right sidebar on post/page', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'right_sidebar_single'
			)
		);
		
		$wp_customize->add_setting('right_sidebar_single',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_right_sidebar_single',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show right sidebar on post/page', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'right_sidebar_single'
			)
		);
		
		$wp_customize->add_setting('footer_bottom_sidebar',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_footer_bottom_sidebar',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show footer bottom sidebar', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'footer_bottom_sidebar'
			)
		);
		
		$wp_customize->add_setting('show_author',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_show_author',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show post\'s author', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'show_author'
			)
		);

		$wp_customize->add_setting('show_categories',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);
 
		$wp_customize->add_control('amadeo_show_categories',
				array(
					'type'		=> 'checkbox',
					'label'		=> esc_html__('Show post\'s categories', 'amadeo-free'),
					'section'	=> 'amadeo_options',
					'settings'	=> 'show_categories'
				)
		);

		$wp_customize->add_setting('show_tags',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_show_tags',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show post\'s tags', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'show_tags'
			)
		);

		$contents	= wp_remote_get('https://www.googleapis.com/webfonts/v1/webfonts?key=AIzaSyBjMF1vv09f-n1dKlR6RDFZTQAnEzqk_Vg');
		$json_fonts	= json_decode($contents['body']);

		foreach($json_fonts->items as $json_font){
			$fonts[str_replace(' ', '+', $json_font->family) .':'. implode(',', $json_font->variants)] = $json_font->family;
		}
		
		$wp_customize->add_setting('amadeo_google_font_headings',
			array(
				'default'				=> 'Oswald:300,400,700',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'sanitize_text_field'
			)
		);

		$wp_customize->add_control('amadeo_google_font_headings_control',
			array(
				'type'		=> 'select',
				'choices'	=> $fonts,
				'label'		=> esc_html__('Headers font', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'amadeo_google_font_headings'
			)
		);
		
		$wp_customize->add_setting('amadeo_google_font_nav',
			array(
				'default'				=> 'Lato:400,700',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'sanitize_text_field'
			)
		);

		$wp_customize->add_control('amadeo_google_font_nav_control',
			array(
				'type'		=> 'select',
				'choices'	=> $fonts,
				'label'		=> esc_html__('Navigations font', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'amadeo_google_font_nav'
			)
		);

		$wp_customize->add_setting('amadeo_google_font_text',
			array(
				'default'				=> 'Lato:400,700',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'sanitize_text_field'
			)
		);

		$wp_customize->add_control('amadeo_google_font_text_control',
			array(
				'type'		=> 'select',
				'choices'	=> $fonts,
				'label'		=> esc_html__('Text font', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'amadeo_google_font_text'
			)
		);

		$wp_customize->add_setting('reload',
			array(
				'sanitize_callback' => 'sanitize_text_field'
			)
		);
		
		$wp_customize->add_setting('show_tooltips',
			array(
				'default'				=> 1,
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'amadeoSanitizeCheckbox',
			)
		);

		$wp_customize->add_control('amadeo_show_tooltips',
			array(
				'type'		=> 'checkbox',
				'label'		=> esc_html__('Show Boostrap\'s tootlips', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'show_tooltips'
			)
		);

		$wp_customize->add_control(new AmadeoCustomizeTextareaControl($wp_customize, 'reload',
				array(
					'label'		=> esc_html__('May need to reload to see the changes options below.', 'amadeo-free'),
					'section'	=> 'amadeo_options',
					'settings'	=> 'reload'
				)
			)
		);

		$wp_customize->add_setting('right_widgets_count',
			array(
				'default'				=> '3',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'sanitize_text_field',
			)
		);

		$wp_customize->add_control('amadeo_right_widgets_count',
			array(
				'type'		=> 'select',
				'label'		=> esc_html__('Number of widgets in right sidebar', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'right_widgets_count',
				'choices'	=> array(
					'0'	=> 0,
					'1'	=> 1,
					'2'	=> 2,
					'3'	=> 3,
					'4'	=> 4,
					'5'	=> 5
				),
			)
		);

		$wp_customize->add_setting('footer_widgets_count',
			array(
				'default'				=> '3',
				'type'					=> 'theme_mod',
				'capability'			=> 'edit_theme_options',
				'transport'				=> 'postMessage',
				'sanitize_callback'	=> 'sanitize_text_field',
			)
		);

		$wp_customize->add_control('amadeo_footer_widgets_count',
			array(
				'type'		=> 'select',
				'label'		=> esc_html__('Number of columns/widgets in footer', 'amadeo-free'),
				'section'	=> 'amadeo_options',
				'settings'	=> 'footer_widgets_count',
				'choices'	=> array(
					'0'	=> 0,
					'1'	=> 1,
					'2'	=> 2,
					'3'	=> 3,
					'4'	=> 4,
					'6'	=> 6,
				),
			)
		);

		if(isset($wp_customize->selective_refresh)){
			$wp_customize->selective_refresh->add_partial('partial_options', array(
				'selector'					=> 'body',
				'settings'					=> array('fullwidth_layout', 'show_megamenu', 'show_slider', 'social_under_slider', 'right_sidebar_frontpage', 'right_sidebar_single', 'display_search', 'show_tooltips', 'amadeo_center_logo_sitename', 'footer_bottom_sidebar', 'show_author', 'show_categories', 'show_tags'),
				'render_callback'			=> function(){ return true; },
				'container_inclusive'	=> false,
			));
			
			$wp_customize->selective_refresh->add_partial('partial_custom_colors_slider_icons', array(
				'selector'					=> '#social-icons-container',
				'settings'					=> array('custom_colors_under_slider_icons'),
				'render_callback'			=> function(){ return true; },
				'container_inclusive'	=> false,
			));
			
			$wp_customize->selective_refresh->add_partial('partial_custom_colors', array(
				'selector'					=> '#custom-style-colors',
				'settings'					=> array('color_1','color_2','color_3','color_4', 'custom_colors_slider_icons', 'custom_style_active'),
				'render_callback'			=> function(){ return true; },
				'container_inclusive'	=> false,
			));
			$wp_customize->selective_refresh->add_partial('partial_amadeo_fonts', array(
				'selector'					=> '#amadeo-custom-css',
				'settings'					=> array('amadeo_google_font_headings', 'amadeo_google_font_nav', 'amadeo_google_font_text'),
				'render_callback'			=> function(){ return true; },
				'container_inclusive'	=> false,
			));
		}

		function amadeoSanitizeCheckbox($input){
			if ($input == true){
				return true;
			} else{
				return false;
			}
		}
		
		function amadeoSanitizeSelectColor($input){
			$valid = array(
				'white'	=> 'White',
				'black'	=> 'Black',
				'yellow'	=> 'Yellow',
			);
		 
			if( array_key_exists($input, $valid)){
				return $input;
			} else {
				return '';
			}
		}
	}

	public static function amadeoHeaderStyle(){
		if(is_customize_preview()):
	?>
	<!--Customizer CSS HeaderStyle-->
			<style type="text/css">
	<?php
				echo get_theme_mod('show_slider',					'1') ? '#slider { display: block; }'												: '#slider { display: none; }';
				echo get_theme_mod('social_under_slider',			'1') ? '#social-under-slider { display: block; }'								: '#social-under-slider { display: none; }';
				echo get_theme_mod('right_sidebar_frontpage',	'1') ? '.site-container.front-page #right_sidebar { display: block; }'	: '.site-container.front-page #right_sidebar { display: none; }';
				echo get_theme_mod('right_sidebar_single',		'1') ? '.site-container .main #right_container { display: block; }'		: '.site-container #right_sidebar { display: none; }';
				echo get_theme_mod('footer_bottom_sidebar',		'1') ? '#container_logos { display: block; }'									: '#container_logos { display: none; }';
				echo get_theme_mod('show_author',					'1') ? '.author-name { display: block; }'											: '.author-name { display: none; }';
				echo get_theme_mod('show_categories',				'1') ? '.post-categories { display: block; }'									: '.post-categories { display: none; }';
				echo get_theme_mod('show_tags',						'1') ? '.post-tags { display: block; }'											: '.post-tags { display: none; }';
	?>
			</style> 
	<!--/Customizer CSS HeaderStyle-->
	<?php
		endif;
	}

	public static function amadeoColorsCss(){
		if(get_theme_mod('custom_style_active', '0')):
	?>
			<!--Customizer CSS ColorsCss--> 
			<style id="custom-style-colors" type="text/css">
				<?php
					$color_1		= get_theme_mod('color_1', '#6379a8');
					$color_11	= self::amadeoDarkenColor($color_1, 1.1);
					$color_12	= self::amadeoDarkenColor($color_1, 2);

					$color_2		= get_theme_mod('color_2', '#5b5b5b');
					$color_21	= self::amadeoDarkenColor($color_2, 1.1);
					$color_22	= self::amadeoDarkenColor($color_2, 2);

					$color_3		= get_theme_mod('color_3', '#fff');
					$color_31	= self::amadeoDarkenColor($color_3, 1.1);
					$color_32	= self::amadeoDarkenColor($color_3, 2);
					
					$color_4		= get_theme_mod('color_4', '#fff');
					$color_41	= self::amadeoDarkenColor($color_4, 1.1);
					$color_42	= self::amadeoDarkenColor($color_4, 2);

					$colors_count = 4;
					for($i=1; $i<=$colors_count; $i++){
						if($i<=2){
							for($j=1; $j<=2; $j++){
								echo '.custom-style-active .custom-bg-color'.$i.$j.' { background-color:'. ${'color_'.$i.$j} .' !important; } ';
								echo '.custom-style-active.custom-bg-color'.$i.$j.' { background-color:'. ${'color_'.$i.$j} .' !important; } ';
								echo '.custom-style-active .custom-border-color'.$i.$j.' { border-color:'. ${'color_'.$i.$j} .' !important; } ';
								echo '.custom-style-active .custom-hover-border-color'.$i.$j.':hover, .custom-style-active .custom-hover-border-color'.$i.$j.':focus { border-color:'. ${'color_'.$i.$j} .' !important; } ';
								echo '.custom-style-active .custom-hover-bg-color'.$i.$j.':hover, .custom-style-active .custom-hover-bg-color'.$i.$j.':focus { background-color:'. ${'color_'.$i.$j} .' !important; } ';
								echo '.custom-style-active .custom-hover-text-color'.$i.$j.':hover, .custom-style-active .custom-hover-text-color'.$i.$j.':focus { color:'. ${'color_'.$i.$j} .' !important; } ';
							}
						}
						echo '.custom-style-active.custom-bg-color'.$i.' { background-color: '. ${'color_'.$i} .' !important; } ';
						echo '.custom-style-active .custom-bg-color'.$i.' { background-color: '. ${'color_'.$i} .' !important; } ';
						echo '.custom-style-active .custom-hover-bg-color'.$i.':hover, .custom-style-active .custom-hover-bg-color'.$i.':focus { background-color: '. ${'color_'.$i} .' !important; } ';
						echo '.custom-style-active .custom-text-color'.$i.' { color: ' . ${'color_'.$i} .' !important; } ';
						echo '.custom-style-active .custom-hover-text-color'.$i.':hover, .custom-style-active .custom-hover-text-color'.$i.':focus { color: '. ${'color_'.$i} .' !important; } ';
						echo '.custom-style-active .custom-border-color'.$i.' { border-color: '. ${'color_'.$i} .' !important; } ';
						echo '.custom-style-active .custom-hover-border-color'.$i.':hover, .custom-style-active .custom-hover-border-color'.$i.':focus { border-color: '. ${'color_'.$i} .' !important; } ';
					}

					echo 'body.custom-style-active { background-color: '. $color_2 .' !important; }';
					echo 'body.custom-style-active * { color: '. $color_4 .' !important; }';
					echo 'body.custom-style-active .site-container a:hover, body.custom-style-active .site-container a:focus { background-color: '. $color_21 .' !important; }';
					echo '.custom-style-active .sidebar > div h2 { background-color: '. $color_2 .' !important; }';
					
					echo '.custom-style-active #header { background-color: '. $color_1 .' !important; }';
					echo '.custom-style-active #header #site-name * { color: '. $color_3 .' !important; }';
					echo '.custom-style-active #ustawienia_wcag { background-color: '. $color_11 .' !important; }';
					echo '.custom-style-active #ustawienia_wcag * { color: '. $color_3 .' !important; }';
					
					echo '.custom-style-active .site-container .custom-hover-color-wrapper a:hover,
							.custom-style-active .site-container .custom-hover-color-wrapper a:focus,
							.custom-style-active .site-container .custom-hover-color-wrapper input:hover,
							.custom-style-active .site-container .custom-hover-color-wrapper input:focus
								{	background-color: '. $color_1 .' !important;
									color: '. $color_3 .' !important;
									border-color: '. $color_1 .' !important;
								} ';
					echo '.custom-style-active .submenu-container { border-color: '. $color_11 .' !important; }';

					echo '.custom-style-active #desktop_menu ul li .sub-menu { background-color: '. $color_12 .' !important; }';
					
					echo '.custom-style-active #wyszukiwarka input[type=submit]:hover,
							.custom-style-active #wyszukiwarka input[type=submit]:focus
								{ background-color: '. $color_11 .' !important; color: '. $color_3 .' !important; }';
					
					echo '.custom-style-active #desktop_menu .current_page_item a,
							.custom-style-active #desktop_menu a:hover,
							.custom-style-active #desktop_menu a:focus,
							.custom-style-active #desktop_menu input:hover,
							.custom-style-active #desktop_menu input:focus
								{ background-color: '. $color_12 .' !important; color: '. $color_3 .' !important; } ';

					echo '.custom-style-active #desktop_menu .sub-menu a, 
							.custom-style-active #desktop_menu a { color: '. $color_3 .' !important; }';

					echo '.custom-style-active #desktop_menu .sub-menu .current_page_item a,
							.custom-style-active #desktop_menu .sub-menu a:hover,
							.custom-style-active #desktop_menu .sub-menu a:focus
								{ background-color: '. $color_11 .' !important; color: '. $color_3 .' !important; } ';

					echo '.custom-style-active #social-under-slider * { color: '. $color_3 .' !important; }';
					echo '.custom-style-active .controlsContainer .flex-control-nav a { background-color: '. $color_11 .' !important; }';

					echo '.custom-style-active #trigger_mobile_menu span.stripe { background-color: '. $color_3 .'; }';
					echo '.custom-style-active #trigger_mobile_menu { background-color: '. $color_12 .'; }';
					echo '.custom-style-active #header nav#header_mobile_menu ul li { background-color: '. $color_12 .'; }';
					echo '.custom-style-active #header nav#header_mobile_menu ul li li { background-color: '. $color_12 .'; }';
					echo '.custom-style-active #header nav#header_mobile_menu ul li a { color: '. $color_3 .' !important }';
					echo '.custom-style-active #header nav#header_mobile_menu ul li a:hover,
							.custom-style-active #header nav#header_mobile_menu ul li a:focus,
							.custom-style-active #desktop_menu ul li .submenu-container .current-menu-item a
								{ background-color: '. $color_11 .'; color: '. $color_3 .'; }';

					echo '.custom-style-active .slide .content-title h2, .custom-style-active .slide .content-link a { background-color: '. $color_2 .'; color: '. $color_4 .'; }';
					echo '	.custom-style-active .slide .content-link a:hover,
							.custom-style-active .slide .content-link a:focus
								{ background-color: '. $color_1 .'; color: '. $color_3 .'; }';

					echo '.custom-style-active #go_up a { background-color: '. $color_11 .' !important; color: '. $color_3 .' !important; }';
					echo '.custom-style-active #go_up a i { color: '. $color_3 .' !important; }';
					echo '.custom-style-active #go_up a:hover, .custom-style-active #go_up a:focus { background-color: '. $color_21 .' !important; color: '. $color_4 .' !important; border-color: '. $color_3 .' !important; }';
					echo '.custom-style-active .tagcloud a:hover, .custom-style-active tagcloud a:focus { background-color: '. $color_11 .' !important; color: '. $color_3 .' !important; }';
					echo '.custom-style-active .calendar_wrap table thead tr { background-color: '. $color_11 .' !important; }';
					echo '.custom-style-active .calendar_wrap table thead tr th { color: '. $color_3 .' !important; }';
					echo '.custom-style-active .calendar_wrap td a { color: '. $color_3 .' !important; background: '. $color_1 .' !important; }';
					echo '.custom-style-active .calendar_wrap td a:hover, .custom-style-active .calendar_wrap td a:focus { color: '. $color_4 .' !important; background: '. $color_21 .' !important; }';

					echo '.custom-style-active .searchform input { border-color: '. $color_12 .' !important; }';
					echo '.custom-style-active .site-container .searchform input { background-color: '. $color_2 .' !important; color: '. $color_4 .' !important; border-color: '. $color_22 .' !important; }';
					echo '.custom-style-active #header .searchform input:first-of-type { background-color: '. $color_3 .' !important; color: '. $color_12 .' !important; }';
					echo '.custom-style-active .site-container .searchform input:first-of-type { background-color: '. $color_4 .' !important; color: '. $color_22 .' !important; }';
					echo '.custom-style-active .site-container .searchform input:last-of-type:hover, .custom-style-active .site-container .searchform input:last-of-type:focus { color: '. $color_3 .' !important; background-color: '. $color_1 .' !important; }';

					echo '.custom-style-active .sidebar .widget { border-color: '. $color_4 .'!important; }';
					echo '.custom-style-active #desktop_menu ul li .submenu-container .sub-menu { border-top-color: '. $color_1 .' !important; }';
					echo '.custom-style-active .single .other-articles .border h3 { background-color: '. $color_2 .' !important; }';
					echo '.custom-style-active #comments input[type=submit] { background-color: '. $color_1 .' !important; color: '. $color_3 .' !important; }';
					echo '.custom-style-active #comments input[type=submit]:hover, .custom-style-active #comments input[type=submit]:focus { background-color: '. $color_12 .' !important; color: '. $color_3 .' !important; }';
					echo '.custom-style-active .single .other-articles article:before { background-color: '. $color_22 .' !important; }';
					echo '.custom-style-active .single .other-articles .container-header { border-color: '. $color_2 .' !important; }';
					echo '.custom-style-active .single .other-articles .container-header h3 a:hover, .custom-style-active .single .other-articles .container-header h3 a:focus { background-color: '. $color_2 .' !important; }';

					echo '.custom-style-active code, .custom-style-active kbd, .custom-style-active ins { background-color: '. $color_21 .' !important; color: '. $color_4 .' !important; }';
					echo '.custom-style-active pre { color: '. $color_4 .' !important; }';
					echo '.custom-style-active table, .custom-style-active table td, .custom-style-active table th { border-color: '. $color_4 .' !important; }';
					
					echo '.custom-style-active #formularz_kontaktowy input, .custom-style-active #formularz_kontaktowy textarea { background-color: '. $color_4 .' !important; color: '. $color_2 .' !important; border-color: '. $color_42 .' !important; }';
					echo '.custom-style-active #formularz_kontaktowy .text-danger { color: '. $color_4 .' !important; }';
					echo '.custom-style-active #formularz_kontaktowy button { color: '. $color_3 .' !important; background-color: '. $color_1 .' !important; }';
					echo '.custom-style-active #formularz_kontaktowy button:hover, .custom-style-active #formularz_kontaktowy button:focus { background-color: '. $color_12 .' !important; }';

					echo '.custom-style-active #cookies-message-container { background-color: '. $color_11 .' !important; border-top-color: '. $color_12 .' !important; color: '. $color_3 .' !important; }';
					echo '.custom-style-active #cookies-message a { color: black !important; background-color: '. $color_3 .' !important; border-color: '. $color_12 .' !important; }';
					echo '.custom-style-active #cookies-message a:hover, .custom-style-active #cookies-message a:focus { color: '. $color_3 .' !important; background-color: '. $color_12 .' !important; border-color: '. $color_12 .' !important; }';
				?>
			</style>
			<!--/Customizer CSS ColorsCss-->
	<?php
		endif;
	}
	
	public static function amadeoFireTooltipScript(){
		if(get_theme_mod('show_tooltips', 1)){
			wp_enqueue_script('amdeo-tooltips-js', get_template_directory_uri() . '/js/jquery_tooltips.js', array('amdeo-jquery-js'));
		}
	}

	public static function amadeoCss(){
	?>
		<!--Customizer custom CSS--> 
		<link href="https://fonts.googleapis.com/css?family=<?php echo get_theme_mod('amadeo_google_font_headings','Dosis:200,300,regular,500,600,700,800'); ?>" rel='stylesheet' type="text/css">
		<link href="https://fonts.googleapis.com/css?family=<?php echo get_theme_mod('amadeo_google_font_nav','Dosis:200,300,regular,500,600,700,800'); ?>" rel='stylesheet' type="text/css">
		<link href="https://fonts.googleapis.com/css?family=<?php echo get_theme_mod('amadeo_google_font_text','Dosis:200,300,regular,500,600,700,800'); ?>" rel='stylesheet' type="text/css">

		<style id="amadeo-custom-css" type="text/css">
			<?php
				$font_name	= str_replace('+', ' ', get_theme_mod('amadeo_google_font_text', 'Lato:400,700'));
				$del_pos		= strpos($font_name, ':');
				$font_name	= substr($font_name, 0 , $del_pos);
				
				echo 'body * { font-family: "'. $font_name .'", "Open Sans", "sans-serif"; }';

				$font_name	= str_replace('+', ' ', get_theme_mod('amadeo_google_font_headings', 'Oswald:300,400,700'));
				$del_pos		= strpos($font_name, ':');
				$font_name	= substr($font_name, 0, $del_pos);
				
				echo 'body h1, body h2, body h3, body h4, body h5, body h6, body h1 *, body h2 *, body h3 *, body h4 *, body h5 *, body h6 * { font-family: "'. $font_name .'", "Open Sans", "sans-serif"; }';

				$font_name	= str_replace('+', ' ', get_theme_mod('amadeo_google_font_nav', 'Lato:400,700'));
				$del_pos		= strpos($font_name, ':');
				$font_name	= substr($font_name, 0, $del_pos);
				
				echo 'body .nav *, body nav * { font-family: "'. $font_name .'", "Open Sans", "sans-serif"; }';

				if(get_theme_mod('amadeo_center_logo_sitename', '0')):
					echo 'header .header_logo img { display: inline-block !important; }';
					echo 'header .header_logo { float: none !important; display: block !important; text-align: center !important; }';
					echo 'header .container_desktop_menu { float: none !important; width: 100% !important; display: block !important; }';
					echo 'header #desktop_menu { float: none !important; margin: 0 auto !important; }';
					echo 'header .header_logo .a_logo, #site-name { float: none !important; display: inline-block !important; }';
				else:
					echo 'header .header_logo .a_logo + #site-name { padding-left: 15px !important; }';
				endif;
			?>
		</style>
		<!--/Customizer custom CSS-->
	<?php
	}

	public static function amadeoDarkenColor($rgb, $darker=2) {

		$hash	= (strpos($rgb, '#') !== false) ? '#' : '';
		$rgb	= (strlen($rgb) == 7) ? str_replace('#', '', $rgb) : ((strlen($rgb) == 6) ? $rgb : false);

		if(strlen($rgb) != 6) return $hash.'000000';
		$darker = ($darker > 1) ? $darker : 1;

		list($R16,$G16,$B16) = str_split($rgb,2);

		$R = sprintf("%02X", floor(hexdec($R16)/$darker));
		$G = sprintf("%02X", floor(hexdec($G16)/$darker));
		$B = sprintf("%02X", floor(hexdec($B16)/$darker));

		return $hash.$R.$G.$B;
	}
}

include_once ABSPATH . 'wp-includes/class-wp-customize-control.php';
if(class_exists('WP_Customize_Control')){	
	class AmadeoCustomizeTextareaControl extends WP_Customize_Control{
		public $type = 'label';
		public function render_content(){
?>
			<label>
				<span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
			</label>
<?php
		}
	}
}

add_action('customize_register',	array('AmadeoCustomize', 'amadeoCustomizeRegister'));
add_action('wp_enqueue_scripts',	array('AmadeoCustomize', 'amadeoFireTooltipScript'));
add_action('wp_head',				array('AmadeoCustomize', 'amadeoHeaderStyle'));
add_action('wp_head',				array('AmadeoCustomize', 'amadeoColorsCss'));
add_action('wp_head',				array('AmadeoCustomize', 'amadeoCss'));

?>