<?php

class AmadeoWcagHints{
	
	function __construct(){
		add_action('admin_enqueue_scripts',	array($this, 'amadeoAddAdminScripts'));
		add_action('add_meta_boxes',			array($this, 'amadeoAddWcagMetaBox'));
	}

	function amadeoAddWcagMetaBox(){
		add_meta_box('amadeo_wcag_hints', esc_html__('Accessibility content tips', 'amadeo-free'), array($this, 'amadeoPrintWcagMetaBox'), array('post', 'page'), 'normal', 'high');
	}

	function amadeoPrintWcagMetaBox(){			
		require_once('views/index.php');
	}

	function amadeoAddAdminScripts(){
		wp_register_script('awh_custom_admin_js', $this->amadeoPluginDirUrl() . '/js/scripts.js');
		wp_enqueue_script('awh_custom_admin_js' );
		
		wp_register_style('awh_custom_admin_css', $this->amadeoPluginDirUrl() . '/css/style.css');
		wp_enqueue_style('awh_custom_admin_css' );
	}

	function amadeoPluginDirUrl(){
		return strstr(content_url() , 'wp-content', TRUE) . strstr( __DIR__ , 'wp-content'. DIRECTORY_SEPARATOR);
	}
}

$wcag_hints = new AmadeoWcagHints();