(function($){
	$(document).ready(function(){

		var content = false;

		var editor_wrapper_id		= '#wp-content-wrap';
		var iframe_object_id			= '#content_ifr';
		var iframe_editor_selector	= '#tinymce';

		var imgRegExp				= /<(img)\b[^>]*>/i;
		var videoRegExp			= /<(video)\b[^>]*>/i;
		var linkRegExp				= /<(a)\b[^>]*>/i;
		var tableRegExp			= /<(table)\b[^>]*>/i;
		var abbrRegExp				= /<(abbr)\b[^>]*>/i;
		var headersRegExp			= /<h[123456]/i;
		var headersOrderRegExp	= /((<h2).*((<h1)))|((<h3).*((<h1)|(<h2)))|((<h4).*((<h1)|(<h2)|(<h3)))|((<h5).*((<h1)|(<h2)|(<h3)|(<h3)|(<h4)))|((<h6).*((<h1)|(<h2)|(<h3)|(<h3)|(<h4)|(<h5)))/i;
		var animateRegExp			= /(<(iframe).*(youtube).*<\/(iframe)>)|(<(img).*(src).*(\.gif))/i;
		var clickHereRegExp		= /<(a).*>(kliknij tu)|(click here).*<\/a>/i;
		var longWordRegExp		= /\b\w{15,}/i;
		var imgAltRegExp			= /<img((?!alt=).)*>/i;
		var longSentenceRegExp	= /((?!\.).){300,}/i;
		var strongTextRegExp		= /<strong>/i;
		var italicTextRegExp		= /<italic>/i;
		var uTextRegExp			= /<u>/i;
		var bTextRegExp			= /<b>/i;
		var emTextRegExp			= /<em>/i;
		var underlineTextRegExp	= /(<span.*style=".*text-decoration:\sunderline;?.*".*>)/i;
		var commasRegExp			= /<p.*>.*((\,)[^\.]*){4,}\..*<\/p>/i;
		var h1RegExp				= /<h1\s?.*>/i;
		var includedfilesRegExp	= /<a\shref=\".*((\.pdf)|(\.doc)|(\.docx)|(\.odt)|(\.xls)|(\.ppt)|(\.pptx))\".*\/?>/i;
		var pRegExp					= /<p.*>((?!<li).){1500,}<\/p>/i;
		var pAlignRegExp			= /(<p.*\s+style=\"?.*text-align:.?justify\s*.*\"?>.*<\/p><p(?!(\sstyle=\".*text-align:\s?justify)).*>)|(<p(?!(\sstyle=\".*text-align:\s?justify)).*>.*<\/p><p(?=(\sstyle=\".*text-align:\s?justify)))/i;

		setInterval(function(){
			if($(editor_wrapper_id).hasClass('tmce-active')){
				content = $(iframe_object_id).contents().find(iframe_editor_selector).html();
			}
			else if($(editor_wrapper_id).hasClass('html-active')){
				content = $('textarea#content').val();
				content = '<p>'+content;
				content = content.replace(/[\n\r]/g, '</p><p>');
				content = content.replace(/<p><\/p>/g, '');
				content = content +'</p>';
				content = content.replace(/<p><p/g, '<p');
				content = content.replace(/<\/p><\/p/g, '</p');
			}
			if(!!content){
				regExpTest(content, imgRegExp,				'img');
				regExpTest(content, videoRegExp,				'video');
				regExpTest(content, linkRegExp,				'a');
				regExpTest(content, tableRegExp,				'table');
				regExpTest(content, abbrRegExp,				'abbr');
				regExpTest(content, headersOrderRegExp,	'headers-order');
				regExpTest(content, animateRegExp,			'animate');
				regExpTest(content, clickHereRegExp,		'click-here');
				regExpTest(content, longWordRegExp,			'long-word');
				regExpTest(content, imgAltRegExp,			'img-alt');
				regExpTest(content, longSentenceRegExp,	'long-sentence');
				regExpTest(content, commasRegExp,			'commas');
				regExpTest(content, h1RegExp,					'h1');
				regExpTest(content, includedfilesRegExp,	'included-files');
				regExpTest(content, pRegExp,					'paragraph-1500');
				regExpTest(content, pAlignRegExp,			'paragraph-justify');
				
				text300Length(content, 'text-300');
				importantRegExpTest(content, 'important-text');
			}
		}, 2000);
		
		function text300Length(content, classNameInfo){
			if(content.length < 360){
				$('.'+ classNameInfo).fadeIn();
			} else{
				$('.'+ classNameInfo).fadeOut();
			}
		}
		
		function importantRegExpTest(content, classNameInfo){
			if(content.length > 1600){
				if(	!strongTextRegExp.test(content)	&&
						!bTextRegExp.test(content)			&&
						!uTextRegExp.test(content)			&&
						!italicTextRegExp.test(content)	&&
						!emTextRegExp.test(content)		&&
						!underlineTextRegExp.test(content)){
							$('.'+ classNameInfo).fadeIn();
						} else{
							$('.'+ classNameInfo).fadeOut();
						}
			} else{
				$('.'+ classNameInfo).fadeOut();
			}
		}

		function regExpTest(string, regExp, classNameInfo = false, showOnFalse = false){
			test = showOnFalse ? !regExp.test(string) : regExp.test(string);
			if(test){
				if(classNameInfo != false){
					$('.'+ classNameInfo).fadeIn();
				}
			} else{
				if (classNameInfo != false){
					$('.'+ classNameInfo).fadeOut();
				}
			}
			return test;
		}

		function wcagCheckTag(content, tag){
			if(typeof tag == 'object'){
				for (i in tag){
					if(content.indexOf('<'+tag[i]) >= 0){
						$('.'+ tag[i]).fadeIn();
					} else{
						$('.'+ tag[i]).fadeOut();
					}
				}
			}
			else if(typeof tag == 'string'){
				if(content.indexOf('<'+tag) >= 0){
					$('.'+ tag).fadeIn();
				} else {
					$('.'+ tag).fadeOut();
				}
			}
		}
		
		function headers2500(content){
			if(content.length > 2600){
				if(!headersRegExp.test(content)){
					$('.text-2500').fadeIn();
				}else{
					$('.text-2500').fadeOut();
				}
			}
		}

	});	
})(jQuery);