<p><strong><?php esc_html_e('Tips to create accessible content', 'amadeo-free'); ?>:</strong></p>

<ul id="wcag-hints">
	<li class="hint notice-info paragraph-1500">
		<?php esc_html_e('In the text there are paragraphs, whose length exceeds 1500 characters with spaces. Consider whether you can share your content. Check that the contents can present in the form of Punctuation (unordered lists and ordered), or isolated in the form of a short paragraph.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info text-2500">
		<?php esc_html_e('Your content is greater than 2500 characters. Consider the use of subheadings in the form of headers of different levels (eg. H2, H3). As a result, the content will be better structured and legible to the user. Remember, too, that the text should have a clear structure - have a clearly marked entrance, clearly divided into paragraphs with content development and completion.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info headers-order">
		<?php esc_html_e('The text was found wrong order headers of different levels. The headings should appear in the text in the order of their occurrence (H2 -> H3 -> H4, etc.). However, if it is possible, try to make your content played only one type of header, for example H2 for subheadings. Do not use headers if you want to only enlarge the font.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info a">
		<?php esc_html_e('Your content contains a link. Make sure that its function is fully legible to the user. The reader should clearly be read in that place is a link or what action triggers (example: to download the file).', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info animate">
		<?php esc_html_e('You used an animated (moving) content in your text. Keep in mind that fast-moving images may pose a risk to people with epilepsy and are distracting, not just for the disabled.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info click-here">
		<?php esc_html_e('Hyperlink text should describe what leads, so do not use links like "click here". They are confusing for many users. It is better to use eg. The name of the page to which the link redirects.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info table">
		<?php esc_html_e('Tables should be to simplify and give them headlines. Tables, or frames should not be a skeleton hand.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info long-word">
		<?php esc_html_e('Detected words whose length exceeds 15 characters. Please note that the content of the page should be written in a clear and understandable for each language. Consider whether some of the words you can not replace a simpler equivalent.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info img-alt">
		<?php esc_html_e('All graphics on the page description should have an alternative that describes the image content or what directs (if the link). For decorative art (does not any utility function, image-off) can be attributed to "empty alt attribute," so you will be ignored by readers for the blind.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info long-sentence">
		<?php esc_html_e('It was noted that some used sentences are very long. Consider whether you can shorten or simplify. Sentences are repeatedly made widespread use, eg. In the literature, but in the case of the contents of an information better left to a single sentence (ie. With a verb).', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info important-text">
		<?php esc_html_e('It is worth to remember about using traits graphic content. These can be, for example. Underline, bold or italic text.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info paragraph-justify">
		<?php esc_html_e('Not all the paragraphs used in the content have been Justify. Verify that they too should be aligned. You should maintain consistency within the content.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info points-4">
		<?php esc_html_e('You have used more than 3 commas in some sentences occurring in the body. Perhaps we should consider shortening sentences and their simplification.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info text-300">
		<?php esc_html_e('Your content is less than 300 characters. Is that definitely should this be? Do you provide all the necessary information?', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info headers">
		<?php esc_html_e('The text used in the header of the first level H1. Keep in mind that this kind of headline should refer to the main title page. It should not be used in the text.', 'amadeo-free'); ?>
	</li>
	<li class="hint notice-info included-files">
		<?php esc_html_e('The content includes links to files in PDF, DOC, DOCX, ODT, XLS, PPT, PPTX. Remember that such files should be prepared as "available". It should not, for example. Place PDF files as scanned files or dispose of a very large size.', 'amadeo-free'); ?>
	</li>
</ul>