<?php

	class AmadeoSlider{
		
		function __construct(){
			add_action('after_setup_theme', array($this, 'amadeoAddCategoryForSlider'));
		}

		function amadeoAddCategoryForSlider(){
			if(!term_exists('Amadeo Slider', 'category')){
				wp_insert_term(
					'Amadeo Slider',
					'category',
					array(
					  'description' => esc_html__('Posts in this category will be displayed on slider', 'amadeo-free'),
					  'slug' => 'amadeo_slider'
					)
				);
			}
		}
		
		function amadeoDisplaySlider(){
	?>
			<div class="flexslider <?php echo get_theme_mod('custom_colors_slider_icons', 'white'); ?>">
				<div class="controlsContainer"></div>
				<ul class="slides">
	<?php
					global $post;
					$the_query = new WP_Query( array('post_type' => 'post', 'category_name' => 'amadeo_slider', 'posts_per_page' => -1));
					if($the_query->have_posts()):
						while ($the_query->have_posts()) : $the_query->the_post();
							if(has_post_thumbnail()):
	?>
								<li class="slide" style="background-image: url(<?php amadeoGetPostImageUrl(); ?>);">
									<div class="content-container pull-left">
										<div class="content-title">
											<h2><?php echo esc_html(get_the_title()); ?></h2>
										</div>
										<div class="content-link pull-right">
											<a href="<?php echo esc_url(get_permalink()); ?>" title="<?php echo esc_attr(get_the_title()); ?>" data-toggle="tooltip"><?php esc_html_e('Read more', 'amadeo-free'); ?></a>
										</div>
									</div>
								</li>
	<?php
							endif;
					endwhile;
					else:
	?>
						<li class="slide default"></li>
	<?php
					endif;
					wp_reset_postdata();
	?>
				</ul>
			</div>
	<?php
		}
	}
	
	$slider = new AmadeoSlider();
	
	function amadeoSlider(){
		$slider_obj = new AmadeoSlider();
		$slider_obj->amadeoDisplaySlider();
	}