<?php

	load_theme_textdomain('amadeo-free', __DIR__ .'/lang');
	
	require_once( __DIR__ . '/addons/theme_settings/AmadeoThemeSettings.class.php');
	require_once( __DIR__ . '/addons/hints/AmadeoWcagHints.class.php');
	require_once( __DIR__ . '/addons/widgets/amadeo_widget_image/AmadeoWidgetImage.class.php');
	//require_once( __DIR__ . '/addons/widgets/wcag_widget_image/AmadeoWcagWidgetImage.class.php');
	require_once( __DIR__ . '/addons/customize/AmadeoCustomize.class.php');
	require_once( __DIR__ . '/addons/slider/AmadeoSlider.class.php');
	require_once( __DIR__ .'/addons/contact_form/AmadeoContactForm.class.php');
	require_once( __DIR__ . '/addons/theme_update_check.php');

	$amadeoThemeUpdateChecker = new ThemeUpdateChecker(
		'amadeo-free',
		'https://kernl.us/api/v1/theme-updates/5735d43c7add3f3216fd21b5/'
	);

	remove_action('wp_head', 'wp_generator');
	remove_action('woocommerce_before_main_content',	'woocommerce_output_content_wrapper',		10);
	remove_action('woocommerce_after_main_content',		'woocommerce_output_content_wrapper_end',	10);

	add_theme_support('title-tag');
	add_theme_support('custom-logo');
	add_theme_support('post-thumbnails');
	add_theme_support('automatic-feed-links');
	add_theme_support('custom-header', array('height' => 100));
	add_theme_support('custom-background');
	
	//add_post_type_support('post', 'custom-fields');

	add_action('woocommerce_before_main_content', 'amadeoThemeWrapperStart', 10);
	function amadeoThemeWrapperStart(){
		echo '<section id="main">';
	}

	add_action('woocommerce_after_main_content', 'amadeoThemeWrapperEnd', 10);
	function amadeoThemeWrapperEnd() {
		echo '</section>';
	}
	
	add_action('after_setup_theme', 'amadeoWoocommerceSupport');
	function amadeoWoocommerceSupport(){
		add_theme_support('woocommerce');
	}

	add_action('wp_enqueue_scripts', 'amadeoFireScripts');
	function amadeoFireScripts(){

		/*
		 *		Styles & Fonts
		 */
		
		wp_enqueue_style('amadeo-bootstrap-css', 			get_template_directory_uri() . '/css/bootstrap.min.css');
		wp_enqueue_style('amadeo-reset-css', 				get_template_directory_uri() . '/css/reset.css');
		wp_enqueue_style('amadeo-screen-css', 				get_template_directory_uri() . '/css/screen.css');
		wp_enqueue_style('amadeo-default-style-css', 	get_template_directory_uri() . '/css/default_style.css');
		wp_enqueue_style('amadeo-rwd-css', 					get_template_directory_uri() . '/css/rwd.css');
		wp_enqueue_style('amadeo-jquery-ui-css', 			get_template_directory_uri() . '/css/jquery-ui.min.css');
		wp_enqueue_style('amadeo-lightbox-css', 			get_template_directory_uri() . '/css/lightbox.min.css');
		wp_enqueue_style('amadeo-fonts-css',				get_template_directory_uri() . '/css/fonts.css');
		wp_enqueue_style('amadeo-contrast-style-css',	get_template_directory_uri() . '/css/default_contrast.css');
		
		if(get_theme_mod('custom_style_active', '0')){
			wp_enqueue_style('amadeo-custom-style-active-css',	get_template_directory_uri() . '/css/custom_style_active.css');
		}
		
		wp_enqueue_style('amadeo-font-oswald',		'https://fonts.googleapis.com/css?family=Oswald:300,400,700');
		wp_enqueue_style('amadeo-font-lato',		'https://fonts.googleapis.com/css?family=Lato:400,700');
		wp_enqueue_style('amadeo-font-opensans',	'https://fonts.googleapis.com/css?family=Open+Sans');
		
		wp_enqueue_script('amadeo-jquery-js',				get_template_directory_uri() . '/js/jquery-3.1.1.min.js'	);
		wp_enqueue_script('amadeo-jquery-keyboard-js',	get_template_directory_uri() . '/js/jquery.keyboard-focus.min.js',	array('amadeo-jquery-js'));
		wp_enqueue_script('amadeo-bootstrap-js',			get_template_directory_uri() . '/js/bootstrap.min.js',					array('amadeo-jquery-js'));
		wp_enqueue_script('amadeo-jquery-ui-js',			get_template_directory_uri() . '/js/jquery-ui.min.js',					array('amadeo-jquery-js'));
		wp_enqueue_script('amadeo-flexslider-js',			get_template_directory_uri() . '/js/jquery.flexslider.min.js', 		array('amadeo-jquery-js'));
		wp_enqueue_script('amadeo-jquery-scripts-js',	get_template_directory_uri() . '/js/jquery_scripts.js',					array('amadeo-jquery-js', 'amadeo-jquery-ui-js', 'amadeo-flexslider-js'));
		wp_enqueue_script('amadeo-lightbox-js',			get_template_directory_uri() . '/js/lightbox-plus-jquery.min.js',		array('amadeo-jquery-js'), '1.0.0', true);
		wp_enqueue_script('amadeo-wcag-js',					get_template_directory_uri() . '/js/wcag.js',								array('amadeo-jquery-js'));

		/*
		 *		Translation ready for javascripts
		 */

		wp_localize_script('amadeo-lightbox-js', 'wcag_l10n_lb', array(
			'next'	=>	esc_html__('Next',		'amadeo-free'),
			'prev'	=>	esc_html__('Previous',	'amadeo-free'),
			'image'	=>	esc_html__('Image',		'amadeo-free'),
			'of'		=>	esc_html__('of',			'amadeo-free'),
			'close'	=>	esc_html__('Close',		'amadeo-free')
		));

		wp_localize_script('amadeo-flexslider-js', 'wcag_l10n_fs', array(
			'slide'	=>	esc_html__('Slide', 'amadeo-free')
		));
		
		if(is_singular()) wp_enqueue_script('comment-reply');
		
		/*
		 *		END
		 *			Styles & Fonts
		 */
	}

	if(!isset($content_width)) $content_width = 1140;

	if(function_exists('register_nav_menus')){
		register_nav_menus(array(
			'primary_nav'		=>	esc_html__('Primary menu',		'amadeo-free'),
			//'secondary_nav'	=>	esc_html__('Secondary menu',	'amadeo-free'),
			//'mobile_nav'		=>	esc_html__('Mobile menu',		'amadeo-free')
		));
	}

	add_filter('wp_nav_menu_items', 'amadeoAddMenuSubItemsWrapper', 10, 2);
	function amadeoAddMenuSubItemsWrapper($items, $args){
		if($args->menu_id == 'amadeo_desktop_menu'){
			$items = str_replace(
				array('<ul class="sub-menu">',											'</ul>'),
				array('<div class="submenu-container"><ul class="sub-menu">',	'</ul></div>'),
				$items
			);
		}
		return $items;
	}
	
	add_filter('body_class', 'amadeoBodyClassNames');
	function amadeoBodyClassNames($classes){
		if(get_theme_mod('custom_style_active',	'0')) { $classes[] = 'custom-style-active'; }
		if(get_theme_mod('fullwidth_layout',		'1')) { $classes[] = 'fullwidth-layout'; }
		return $classes;
	}
	
	add_action('widgets_init', 'amadeoSidebarsInit');
	function amadeoSidebarsInit(){
		register_sidebars((int)get_theme_mod('right_widgets_count', 3), array(
			'name'				=>	esc_html__('Right panel - front page %d', 'amadeo-free'),
			'id'					=>	'right-sidebar',
			'description'		=>	'',
			'before_widget'	=>	'<div id="%1$s" class="widget %2$s custom-border">',
			'after_widget'		=>	'</div>',
			'before_title'		=>	'<div class="container-h2"><h2>',
			'after_title'		=>	'</h2></div>'
		));

		register_sidebar(array(
			'name'				=>	esc_html__('Right panel on pages/posts',	'amadeo-free'),
			'id'					=>	'right-sidebar-template',
			'description'		=>	esc_html__('Widget for template page',	'amadeo-free'),
			'before_widget'	=>	'<div id="%1$s" class="widget %2$s custom-border">',
			'after_widget'		=>	'</div>',
			'before_title'		=>	'<div class="container-h2"><h2>',
			'after_title'		=>	'</h2></div>'
		));

		register_sidebar(array(
			'name'				=>	esc_html__('Left panel on pages/posts',	'amadeo-free'),
			'id'					=>	'left-sidebar-template',
			'description'		=>	esc_html__('Widget for template page',	'amadeo-free'),
			'before_widget'	=>	'<div id="%1$s" class="widget %2$s custom-border">',
			'after_widget'		=>	'</div>',
			'before_title'		=>	'<div class="container-h2"><h2>',
			'after_title'		=>	'</h2></div>'
		));

		register_sidebar(array(
			'name'				=>	esc_html__('Widget under slider', 'amadeo-free'),
			'id'					=>	'under-slider-sidebar',
			'description'		=>	'',
			'before_widget'	=>	'<div class="header_widget">',
			'after_widget'		=>	'</div>',
			'before_title'		=>	'<h1>',
			'after_title'		=>	'</h1>'
		));

		register_sidebars((int)get_theme_mod('footer_widgets_count', 3), array(
			'name'				=>	esc_html__('Footer panel %d', 'amadeo-free'),
			'id'					=>	'footer-sidebar',
			'description'		=>	'',
			'before_widget'	=>	'<div id="%1$s" class="widget %2$s">',
			'after_widget'		=>	'</div>',
			'before_title'		=>	'<h3>',
			'after_title'		=>	'</h3>'
		));

		register_sidebar(array(
			'name'				=>	esc_html__('Widget in bottom footer', 'amadeo-free'),
			'id'					=>	'footer-bottom-sidebar',
			'description'		=>	'',
			'before_widget'	=>	'<div class="footer_bottom_widget col-sm-15 col-xs-6">',
			'after_widget'		=>	'</div>',
			'before_title'		=>	'<h1>',
			'after_title'		=>	'</h1>'
		));
	}

	function amadeoGetPostImage($post_id = -1){
		if($post_id>0){
			if(has_post_thumbnail($post_id)){
				echo get_the_post_thumbnail($post_id);
			} else{
				return NULL;
			}
		} else{
			if(has_post_thumbnail()){
				echo get_the_post_thumbnail();
			} else{
				return NULL;
			}
		}
	}

	function amadeoGetPostImageUrl($post_id = -1){
		if($post_id>0){
			echo esc_url(wp_get_attachment_url(get_post_thumbnail_id($post_id)));
		} else{
			echo esc_url(wp_get_attachment_url(get_post_thumbnail_id($post->ID)));
		}
	}

	function amadeoGetSidebars($sidebar_name, $count = 1, $floatLeft = true){
		$className = ($floatLeft == true) ? 'col-sm-'. 12/$count: 'col-sm-12';
?>
		<div class="<?php echo esc_attr($sidebar_name); ?>s-container row">
<?php
			if (is_active_sidebar($sidebar_name)) :
?>
				<div class="<?php echo esc_attr($className); ?>">
					<?php dynamic_sidebar($sidebar_name); ?>
				</div>
<?php
			endif;
			for($i=2; $i<=$count; $i++):
				if($i <= $count):
					if (is_active_sidebar($sidebar_name.'-'.$i)) :
?>
						<div class="<?php echo esc_attr($className); ?>">
							<?php dynamic_sidebar( $sidebar_name.'-'.$i ); ?>
						</div>
<?php
					endif;
				endif;
			endfor;
?>
		</div>
<?php
	}
	
	function amadeoSiteMap($parent = 0){
		$pages = get_pages('parent='. $parent);
?>
		<ul class="mapa-strony-content">
<?php
		foreach($pages as $page){
?>
			<li><a href="<?php echo esc_url(get_page_link($page->ID)); ?>"><?php echo esc_html($page->post_title); ?></a>
<?php
			$children = get_pages('parent='. $page->ID);
			if($children)
				amadeoSiteMap($page->ID);
?>
			</li>
<?php
		}
?>
		</ul>
<?php
	}

	add_action('after_setup_theme', 'amadeoRemoveWpApi');
	function amadeoRemoveWpApi(){
		remove_action('wp_head',				'rest_output_link_wp_head', 10);
		remove_action('wp_head',				'wp_oembed_add_discovery_links', 10);
		remove_action('template_redirect',	'rest_output_link_header', 11, 0);
	}

	add_filter('widget_tag_cloud_args', 'amadeoWidgetCustomTagCloud');
	function amadeoWidgetCustomTagCloud($args){
		$args['number']	= 40;
		$args['unit']		= 'em';
		$args['largest']	= 2;
		$args['smallest']	= 0.9;
		return $args;
	}

	function amadeoTranslatedCatName($catslug = 'slider-img'){
		$idObj	= get_category_by_slug($catslug);

		if($idObj){
			$catID = $idObj->term_id;

			if(function_exists('pll_the_languages')){
				$idTranslated	= pll_get_term($catID);
				$term				= get_term($idTranslated);
			} else{
				$term = get_term($catID);
			}
			return $term->name;

		} else{
			return $catslug;
		}
	}

	function amadeoGetCustomLogoUrl(){
		$custom_logo_id	= get_theme_mod('custom_logo');
		$image				= wp_get_attachment_image_src($custom_logo_id , 'full');
		return $image[0];
	}

?>