<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo('charset'); ?>" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<meta name="generator" content="WordPress" />
		<?php if(is_search()): ?>
			<meta name="robots" content="noindex, nofollow" />
		<?php endif; ?>
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<nav id="invisible_menu" class="menu" role="navigation" aria-label="<?php esc_attr_e('Skip navigation', 'amadeo-free'); ?>">
			<ul>
				<li><a href="#menu_glowne"><?php esc_html_e('Go to main menu', 'amadeo-free'); ?></a></li>
				<li><a href="#tresc"><?php esc_html_e('Go to the content', 'amadeo-free'); ?></a></li>
			</ul>
		</nav>
		<header id="header" role="banner">
			<div id="ustawienia_wcag">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<div class="container-rows">
								<div class="content row">
									<div id="czcionka" class="col-sm-6 col-md-<?php echo (function_exists('pll_the_languages')) ? '4' : '6'; ?>">
										<span><?php esc_html_e('Font', 'amadeo-free'); ?>:</span>
										<ul>
											<li title="<?php esc_attr_e('Smaller font', 'amadeo-free'); ?>" data-toggle="tooltip"><button id="font-smaller" class="font-smaller" ><?php esc_html_e('Smaller font', 'amadeo-free'); ?></button></li>
											<li title="<?php esc_attr_e('Default font size', 'amadeo-free'); ?>" data-toggle="tooltip"><button id="font-default" class="font-default" ><?php esc_html_e('Default font size', 'amadeo-free'); ?></button></li>
											<li title="<?php esc_attr_e('Bigger font', 'amadeo-free'); ?>" data-toggle="tooltip"><button id="font-bigger" class="font-bigger"><?php esc_html_e('Bigger font', 'amadeo-free'); ?></button></li>
										</ul>
									</div>
	<?php
									if(function_exists('pll_the_languages')) :
	?>
										<div id="jezyk" class="col-sm-6 col-md-4">
											<span><?php esc_html_e('Language', 'amadeo-free'); ?>:</span>
											<div>
												<?php pll_the_languages(array('show_flags' => 1,'show_names' => 1, 'dropdown' => 1)); ?>
											</div>
										</div>
	<?php
									endif;
									if(get_theme_mod('display_search', true)) :
	?>
										<div id="wyszukiwarka" class="col-sm-6 col-md-4 <?php echo (function_exists('pll_the_languages')) ? '' : 'col-md-offset-2'; ?>">
											<form method="get" id="wcag-searchform" class="searchform" action="<?php echo esc_url(home_url()); ?>" role="search">
												<div>
													<label for="s"><?php esc_attr_e('Search:', 'amadeo-free'); ?></label>
													<input type="text" value="<?php echo esc_attr(get_search_query()); ?>" name="s" id="s">
													<input type="submit" id="searchsubmit" value="<?php esc_attr_e('Find', 'amadeo-free'); ?>">
												</div>
											</form>
										</div>
	<?php
									endif;
	?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="menu_container">
				<div class="container">				
					<div class="row">
						<div class="col-xs-12">
							<div class="header_logo pull-left">
	<?php
								if(amadeoGetCustomLogoUrl()):
	?>
									<a href="<?php echo esc_url(home_url()); ?>" class="a_logo">
										<img id="img-logo" src="<?php echo esc_url(amadeoGetCustomLogoUrl()); ?>" alt="<?php esc_attr_e('Site logo', 'amadeo-free'); ?>" />
									</a>
	<?php
								endif;
								if(display_header_text()):
	?>
									<h1 id="site-name" class="<?php echo (display_header_text()) ? '' : 'sr-only'; ?>">
										<a href="<?php echo esc_url(home_url()); ?>"><?php bloginfo('name'); ?></a>
										<?php echo get_bloginfo('description') ? '<small>'. esc_html(get_bloginfo('description')) .'</small>' : ''; ?>
									</h1>
	<?php
								endif;
	?>
							</div>
							<a id="menu_glowne" class="sr-only" tabindex="-1"></a>
							<h2 class="sr-only"><?php esc_html_e('Main menu', 'amadeo-free'); ?></h2>
							<div class="container_desktop_menu pull-right <?php echo (get_theme_mod('show_megamenu', '1')) ? 'megamenu' : 'ordinary-menu'; ?>">
								<nav id="desktop_menu" class="menu" role="navigation" aria-label="<?php esc_attr_e('main menu', 'amadeo-free'); ?>">
									<?php wp_nav_menu(array('theme_location' => 'primary_nav', 'container' => '', 'menu_class' => '', 'menu_id' =>'amadeo_desktop_menu')); ?>
								</nav>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div id="mobile-menu-container" class="container">				
				<div class="row">
					<div class="col-xs-12">
						<div id="mobile_menu">
							<button id="trigger_mobile_menu" class="">
								<span class="sr-only"><?php esc_html_e('Menu', 'amadeo-free'); ?></span>
								<span class="stripe"></span>
								<span class="stripe"></span>
								<span class="stripe"></span>
							</button>
							<nav id="header_mobile_menu" class="toggle_container" role="navigation" aria-label="<?php esc_html_e('mobile menu', 'amadeo-free'); ?>">
								<?php wp_nav_menu(array('theme_location'  => 'primary_nav', 'container' => '')); ?>
							</nav>
						</div>
					</div>
				</div>
			</div>
		</header>
		<div class="site-container <?php echo (is_front_page()) ? 'front-page' : 'border-top'; ?>">
			<div>