<?php get_header(); ?>
	<a id="tresc" tabindex="-1"></a>
	<h2 class="sr-only"><?php esc_html_e('Page content', 'amadeo-free'); ?></h2>
	<section id="single-page" class="single main-container container">
		<div class="row">
			<main class="artykul <?php echo (get_theme_mod('right_sidebar_single', '1')) ? 'col-md-8' : 'col-sm-12'; ?> main" role="main">
				<h2 class="hide"><?php esc_html_e('Article content', 'amadeo-free'); ?></h2>
	<?php
				if(have_posts()) : while(have_posts()) : the_post();
	?>
					<article <?php post_class(); ?> role="article">
	<?php
						if(function_exists('amadeoGetPostImage'))
							amadeoGetPostImage();
	?>
						<div class="article-content padding_15">
							<header>
								<h2><?php echo esc_html(get_the_title()); ?></h2>
								<div class="date-container">
									<div class="display-center">
										<span><a href="<?php echo esc_url(get_day_link(get_the_date('Y'), get_the_date('m'), get_the_date('d'))); ?>"><?php echo esc_html(get_the_date()); ?></a></span>
	<?php
										if(get_theme_mod('show_author', '1')):
	?>
											<span class="author-name">
												<span><?php esc_html_e('Author: ', 'amadeo-free'); ?></span>
												<a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'), get_the_author_meta('user_nicename'))); ?>"><?php echo esc_html(get_the_author()); ?></a>
											</span>
	<?php
										endif;
	?>
										<?php echo current_user_can('edit_posts') ? edit_post_link(esc_html__('Edit', 'amadeo-free'), '<span>','</span>') : ''; ?>
									</div>
								</div>
	<?php 
								if(get_theme_mod('show_categories', '1')):
	?>
									<div class="display-center post-categories">
										<span>
	<?php
											$count_cat = count(get_the_category());
											foreach((get_the_category()) as $category){
												if(strtolower($category->cat_name) == strtolower(amadeoTranslatedCatName('amadeo_slider'))){
													$count_cat -= 1;
												}
											}
	?>
											<span><?php ($count_cat > 1) ? esc_html_e('Categories: ', 'amadeo-free') : esc_html_e('Category: ', 'amadeo-free') ; ?></span>
	<?php
											foreach((get_the_category()) as $category):
												if(strtolower($category->cat_name) != strtolower(amadeoTranslatedCatName('amadeo_slider'))):
	?>
													<a href="<?php echo esc_url(get_category_link($category->cat_ID)); ?>" title="<?php echo esc_attr($category->cat_name); ?>"><?php echo esc_html($category->cat_name); ?></a>
	<?php
												endif;
											endforeach;
	?>
										</span>
									</div>
	<?php
								endif;
	?>
							</header>
							<div class="the-content">
								<?php the_content(); ?>
							</div>
							<footer>
	<?php
								if(get_theme_mod('show_tags', '1')) :
	?>
									<div class="tags post-tags"><?php the_tags(); ?></div>
	<?php
								endif;
	?>
							</footer>
						</div>
					</article>				
	<?php
				endwhile; else:
	?>
					<p class="brak_tresci"><?php esc_html_e('Nothing content found to display.', 'amadeo-free'); ?></p>
	<?php
				endif;
				comments_template();
				wp_link_pages(array(
					'before'      => '<div class="page-links"><span class="page-links-title">'. esc_html__('Pages:', 'amadeo-free') .'</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="screen-reader-text">'. esc_html__('Page', 'amadeo-free') .' </span>%',
					'separator'   => '<span class="screen-reader-text">, </span>',
				));
	?>
				<section class="other-articles" role="complementary">
					<div class="row">
						<div class="col-md-12">
							<div class="border">
								<h3><?php esc_html_e('Read also', 'amadeo-free'); ?></h3>
							</div>
						</div>
					</div>
					<div class="row">
	<?php
						$args		= array('post_type' => array('post'), 'showposts' => 3, 'post__not_in' => array($post->ID));
						$query	= new WP_Query($args);

						if($query->have_posts()) : while($query->have_posts()) : $query->the_post();
	?>
							<div class="col-md-4 padding_15">
								<article style="background-image: url(<?php amadeoGetPostImageUrl(); ?>);" role="article">
									<div class="container-header">
										<h3><a href="<?php echo esc_url(get_permalink()); ?>" class="permalink"><?php echo esc_html(get_the_title()); ?></a></h3>
									</div>
								</article>
							</div>
	<?php
						endwhile; endif;
						wp_reset_postdata();
	?>
					</div>
				</section>
			</main>
	<?php
			if(get_theme_mod('right_sidebar_single', '1'))
				get_template_part('sidebar-right');
	?>
		</div>
	</section>
<?php get_footer(); ?>